<?php
/**
 * Additional/overwritten configuration parts
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Get a configuration instance for shorter lines
$cfg = FrameworkConfiguration::getInstance();

// CFG: DEFAULT-WEB-COMMAND
$cfg->setConfigEntry('default_web_command', "home");

// CFG: DEFAULT-IMAGE-COMMAND
$cfg->setConfigEntry('default_image_command', "build");

// CFG: PAGE-WITH-NEWS
$cfg->setConfigEntry('page_with_news', "home");

// CFG: FORM-ACTION
$cfg->setConfigEntry('form_action', "index.php?app={?app_short_name?}&amp;page=do_form");

// CFG: FORM-METHOD
$cfg->setConfigEntry('form_method', "post");

// CFG: FORM-TARGET
$cfg->setConfigEntry('form_target', "_self");

// CFG: REGISTER-REQUIRES-EMAIL
$cfg->setConfigEntry('register_requires_email', "Y");

// CFG: REGISTER-INCLUDES-PROFILE
$cfg->setConfigEntry('register_includes_profile', "Y");

// CFG: REGISTER-PERSONAL-DATA
$cfg->setConfigEntry('register_personal_data', "Y");

// CFG: REGISTER-EMAIL-UNIQUE
$cfg->setConfigEntry('register_email_unique', "Y");

// CFG: CHAT-ENABLED-ICQ
$cfg->setConfigEntry('chat_enabled_icq', "Y");

// CFG: CHAT-ENABLED-JABBER
$cfg->setConfigEntry('chat_enabled_jabber', "Y");

// CFG: CHAT-ENABLED-YAHOO
$cfg->setConfigEntry('chat_enabled_yahoo', "Y");

// CFG: CHAT-ENABLED-AOL
$cfg->setConfigEntry('chat_enabled_aol', "Y");

// CFG: CHAT-ENABLED-MSN
$cfg->setConfigEntry('chat_enabled_msn', "Y");

// CFG: USER-REGISTRATION
$cfg->setConfigEntry('user_registration_class', "ShipSimuRegistration");

// CFG: USER-LOGIN-CLASS
$cfg->setConfigEntry('user_login_class', "ShipSimuUserLogin");

// CFG: GUEST-LOGIN-CLASS
$cfg->setConfigEntry('guest_login_class', "ShipSimuGuestLogin");

// CFG: USER-STATUS-REGISTER
$cfg->setConfigEntry('user_status_unconfirmed', "UNCONFIRMED");

// CFG: USER-STATUS-GUEST
$cfg->setConfigEntry('user_status_guest', "GUEST");

// CFG: USER-STATUS-CONFIRMED
$cfg->setConfigEntry('user_status_confirmed', "CONFIRMED");

// CFG: LOGIN-HELPER-CLASS
$cfg->setConfigEntry('login_helper_class', "ShipSimuLoginHelper");

// CFG: AUTH-METHOD-CLASS
$cfg->setConfigEntry('auth_method_class', "CookieAuth");

// CFG: APP-LOGIN-URL
$cfg->setConfigEntry('app_login_url', "index.php?app=ship-simu&page=login_area");

// CFG: LOGIN-FAILED-URL
$cfg->setConfigEntry('login_failed_url', "index.php?app=ship-simu&page=login_failed");

// CFG: LOGOUT-DONE-URL
$cfg->setConfigEntry('logout_done_url', "index.php?app=ship-simu&page=logout_done");

// CFG: LOGIN-USER-STATUS-URL
$cfg->setConfigEntry('login_user_status_url', "index.php?app=ship-simu&page=login_area&action=status_problem");

// CFG: USER-NOT-UNCONFIRMED-URL
$cfg->setConfigEntry('user_not_unconfirmed_url', "index.php?app=ship-simu&page=status&status=unconfirmed_problem");

// CFG: USER-UNCONFIRMED-EMAIL-MISSING-URL
$cfg->setConfigEntry('user_unconfirmed_email_missing_url', "index.php?app=ship-simu&page=status&status=unconfirmed_email_missing");

// CFG: CONFIRM-CODE-INVALID-URL
$cfg->setConfigEntry('confirm_code_invalid_url', "index.php?app=ship-simu&page=status&status=confirm_code_invalid");

// CFG: LOGIN-DEFAULT-ACTION
$cfg->setConfigEntry('login_default_action', "welcome");

// CFG: NEWS-READER-CLASS
$cfg->setConfigEntry('news_reader_class', "DefaultNewsReader");

// CFG: NEWS-DOWNLOAD-CLASS
$cfg->setConfigEntry('news_download_class', "NewsDownloadFilter");

// CFG: NEWS-PROCESS-CLASS
$cfg->setConfigEntry('news_process_class', "NewsProcessFilter");

// CFG: USER-AUTH-CLASS
$cfg->setConfigEntry('user_auth_class', "UserAuthFilter");

// CFG: USER-UPDATE-CLASS
$cfg->setConfigEntry('user_update_class', "UserUpdateFilter");

// CFG: USER-STATUS-CONFIRMED-CLASS
$cfg->setConfigEntry('user_status_confirmed_class', "UserStatusConfimedUpdateFilter");

// CFG: CAPTCHA-ENCRYPT-VALIDATOR-CLASS
$cfg->setConfigEntry('captcha_encrypt_validator_class', "CaptchaEncryptFilter");

// CFG: CAPTCHA-GUEST-VERIFIER-CLASS
$cfg->setConfigEntry('captcha_guest_verifier_class', "GraphicalCodeCaptchaVerifierFilter");

// CFG: CAPTCHA-USER-VERIFIER-CLASS
$cfg->setConfigEntry('captcha_user_verifier_class', "GraphicalCodeCaptchaVerifierFilter");

// CFG: CAPTCHA-REGISTER-VERIFIER-CLASS
$cfg->setConfigEntry('captcha_register_verifier_class', "GraphicalCodeCaptchaVerifierFilter");

// CFG: CONFIRM-CODE-VALIDATOR-CLASS
$cfg->setConfigEntry('confirm_code_verifier_class', "ConfirmCodeVerifierFilter");

// CFG: NEWS-HOME-LIMIT
$cfg->setConfigEntry('news_home_limit', 10);

// CFG: NEWS-LOGIN-AREA-LIMIT
$cfg->setConfigEntry('news_login_area_limit', 15);

// CFG: LOGIN-ENABLED
$cfg->setConfigEntry('login_enabled', "Y");

// CFG: CONFIRM-EMAIL-ENABLED
$cfg->setConfigEntry('confirm_email_enabled', "Y");

// CFG: LOGIN-DISABLED-REASON
$cfg->setConfigEntry('login_disabled_reason', "Loginbereich befindet sich noch im Aufbau.");

// CFG: LOGIN-TYPE
$cfg->setConfigEntry('login_type', "username"); // username, email, both

// CFG: EMAIL-CHANGE-ALLOWED
$cfg->setConfigEntry('email_change_allowed', "Y");

// CFG: EMAIL-CHANGE-CONFIRMATION
$cfg->setConfigEntry('email_change_confirmation', "Y");

// CFG: GUEST-LOGIN-ALLOWED
$cfg->setConfigEntry('guest_login_allowed', "Y");

// CFG: GUEST-LOGIN-USERNAME
$cfg->setConfigEntry('guest_login_user', "guest");

// CFG: GUEST-LOGIN-PASS
$cfg->setConfigEntry('guest_login_passwd', "guest");

// CFG: LOGIN-WELCOME-ACTION-CLASS
$cfg->setConfigEntry('login_welcome_action_class', "ShipSimuLoginAction");

// CFG: LOGIN-LOGOUT-ACTION-CLASS
$cfg->setConfigEntry('login_logout_action_class', "ShipSimuLogoutAction");

// CFG: LOGIN-PROFILE-ACTION-CLASS
$cfg->setConfigEntry('login_profile_action_class', "ShipSimuProfileAction");

// CFG: SHIPSIMU-REGISTER-CAPTCHA
$cfg->setConfigEntry('shipsimu_register_captcha', "GraphicalCodeCaptcha");

// CFG: SHIPSIMU-USER-LOGIN-CAPTCHA
$cfg->setConfigEntry('shipsimu_user_login_captcha', "GraphicalCodeCaptcha");

// CFG: SHIPSIMU-GUEST-LOGIN-CAPTCHA
$cfg->setConfigEntry('shipsimu_guest_login_captcha', "GraphicalCodeCaptcha");

// CFG: LOGOUT-IMMEDIATE
$cfg->setConfigEntry('logout_immediate', "N");

// CFG: CAPTCHA-STRING-LENGTH
$cfg->setConfigEntry('captcha_string_length', 5);

// CFG: CAPTCHA-SEARCH-CHARS
$cfg->setConfigEntry('captcha_search_chars', "+/=");

// CFG: RANDOM-STRING-LENGTH
$cfg->setConfigEntry('random_string_length', 100);

// CFG: SHIPSIMU-REGISTER-CAPTCHA-SECURED
$cfg->setConfigEntry('shipsimu_register_captcha_secured', "Y");

// CFG: SHIPSIMU-USER-LOGIN-CAPTCHA-SECURED
$cfg->setConfigEntry('shipsimu_user_login_captcha_secured', "Y");

// CFG: SHIPSIMU-GUEST-LOGIN-CAPTCHA-SECURED
$cfg->setConfigEntry('shipsimu_guest_login_captcha_secured', "Y");

// CFG: BLOCK-SHOWS-REGISTRATION
$cfg->setConfigEntry('block_shows_registration', "Y");

// CFG: COMPANY-CLASS
$cfg->setConfigEntry('company_class', "ShippingCompany");

// CFG: COMPANY-DB-WRAPPER-CLASS
$cfg->setConfigEntry('company_db_wrapper_class', "CompanyDatabaseWrapper");

// CFG EMAIl-TPL-RESEND-LINK
$cfg->setConfigEntry('email_tpl_resend_link', "text");

// CFG: MAIL-TEMPLATE-ENGINE
$cfg->setConfigEntry('mail_template_class', "MailTemplateEngine");

// CFG: IMAGE-TEMPLATE-ENGINE
$cfg->setConfigEntry('image_template_class', "ImageTemplateEngine");

// CFG: ADMIN-EMAIL
$cfg->setConfigEntry('admin_email', "you@some-hoster.invalid");

// [EOF]
?>
